Package net.shibboleth.idp.saml.metadata.impl

# Class ReloadableMetadataResolver

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
net.shibboleth.shared.component.AbstractIdentifiedInitializableComponent
net.shibboleth.shared.component.AbstractIdentifiableInitializableComponent
net.shibboleth.idp.saml.metadata.impl.ReloadableMetadataResolver

All Implemented Interfaces:
  `Component`, `DestructableComponent`, `IdentifiableComponent`, `IdentifiedComponent`, `InitializableComponent`, `Resolver<EntityDescriptor,CriteriaSet>`, `MetadataResolver`

public class ReloadableMetadataResolver extends AbstractIdentifiableInitializableComponent implements MetadataResolver
This class uses the service interface to implement `MetadataResolver`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final org.slf4j.Logger`
`log`
Class logger.
`private final ReloadableService<MetadataResolver>`
`service`
The service which managed the reloading.

## Constructor Summary

Constructors
Constructor
Description
`ReloadableMetadataResolver(ReloadableService<MetadataResolver> resolverService)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`MetadataFilter`
`getMetadataFilter()`
`String`
`getType()`
`boolean`
`isRequireValidMetadata()`
`Iterable<EntityDescriptor>`
`resolve(CriteriaSet criteria)`
`EntityDescriptor`
`resolveSingle(CriteriaSet criteria)`
`void`
`setMetadataFilter(MetadataFilter newFilter)`
`void`
`setRequireValidMetadata(boolean requireValidMetadata)`

### Methods inherited from class net.shibboleth.shared.component.AbstractIdentifiableInitializableComponent

`setId`

### Methods inherited from class net.shibboleth.shared.component.AbstractIdentifiedInitializableComponent

`doInitialize, ensureId, getId, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException`

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.shibboleth.shared.component.IdentifiedComponent

`getId`

## Field Details

### log

@Nonnull private final org.slf4j.Logger log
Class logger.

### service

@Nonnull private final ReloadableService<MetadataResolver> service
The service which managed the reloading.

## Constructor Details

### ReloadableMetadataResolver

public ReloadableMetadataResolver(@Nonnull @ParameterName(name="resolverService") ReloadableService<MetadataResolver> resolverService)
Constructor.

Parameters:
  `resolverService` - the service which will manage the loading.

## Method Details

### resolve

@Nonnull public Iterable<EntityDescriptor> resolve(@Nullable CriteriaSet criteria) throws ResolverException

Specified by:
  `resolve` in interface `Resolver<EntityDescriptor,CriteriaSet>`
Throws:
  `ResolverException`

### resolveSingle

@Nullable public EntityDescriptor resolveSingle(@Nullable CriteriaSet criteria) throws ResolverException

Specified by:
  `resolveSingle` in interface `Resolver<EntityDescriptor,CriteriaSet>`
Throws:
  `ResolverException`

### isRequireValidMetadata

public boolean isRequireValidMetadata()

Specified by:
  `isRequireValidMetadata` in interface `MetadataResolver`

### setRequireValidMetadata

public void setRequireValidMetadata(boolean requireValidMetadata)

Specified by:
  `setRequireValidMetadata` in interface `MetadataResolver`

### getMetadataFilter

@Nullable public MetadataFilter getMetadataFilter()

Specified by:
  `getMetadataFilter` in interface `MetadataResolver`

### setMetadataFilter

public void setMetadataFilter(@Nullable MetadataFilter newFilter)

Specified by:
  `setMetadataFilter` in interface `MetadataResolver`

### getType

@Nullable public String getType()

Specified by:
  `getType` in interface `MetadataResolver`